Summary:	Tools for monitoring SMART capable hard disks
Name:		smartmontools
Version:	5.38
Release: 	2.11.moblin2
Epoch:		1
Group:		System Environment/Base
License:	GPLv2+
URL:		http://smartmontools.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	smartd.initd
Source2:	smartmontools.sysconf
Patch1:		smartmontools-5.38-cloexec.patch
Patch2:     smartmontools-5.37-addrinfo.patch
Patch3:     smartmontools-5.38-perc.patch
Patch5:     smartmontools-5.38-defaultconf.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	fileutils chkconfig
BuildRequires: readline-devel ncurses-devel autoconf automake util-linux groff gettext

%description
The smartmontools package contains two utility programs (smartctl
and smartd) to control and monitor storage systems using the Self-
Monitoring, Analysis and Reporting Technology System (SMART) built
into most modern ATA and SCSI hard disks. In many cases, these
utilities will provide advanced warning of disk degradation and
failure.

%prep
%setup -q
%patch1 -p1 -b .cloexec
%patch2 -p1 -b .addrinfo
%patch3 -p1 -b .perc
%patch5 -p1 -b .defaultconf

%build
./autogen.sh
%configure
%ifarch sparc64
make CXXFLAGS="$RPM_OPT_FLAGS -fPIE" LDFLAGS="-pie -Wl,-z,relro,-z,now"
%else
make CXXFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie -Wl,-z,relro,-z,now"
%endif
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd.conf
rm -f examplescripts/Makefile*
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/smartmontools

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop >/dev/null 2>&1
 /sbin/chkconfig --del smartd
fi

%post
/sbin/chkconfig --add smartd

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING INSTALL NEWS README
%doc TODO WARNINGS examplescripts smartd.conf
%{_sbindir}/smartd
%{_sbindir}/smartctl
%{_initrddir}/smartd
%{_mandir}/man?/smart*.*
%config(noreplace) %{_sysconfdir}/smartd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/smartmontools

%changelog
* Fri Apr 17 2009 Yan Li <yan.i.li@intel.com> 5.38
- Ported from Fedora Rawhide, removed dependency on SELinux, mailx and
  initscripts
